<h2 *ngIf="isRatingEditableMode"
    class="editable-mode-title"
>{{labelTranslateEnum.yourEvaluation | translate}}</h2>
<button (click)="enterInRatingMode()"
        *ngIf="!isRatingEditableMode && isLoggedIn"
        [matTooltip]="labelTranslateEnum.rate | translate"
        class="button-enable-rate"
        mat-icon-button
        type="button"
>
  <solidify-icon [iconName]="iconNameEnum.rate"></solidify-icon>
</button>

<button (click)="leaveRatingMode()"
        *ngIf="isRatingEditableMode"
        [matTooltip]="labelTranslateEnum.cancel | translate"
        class="button-cancel-rate"
        mat-icon-button
        type="button"
>
  <solidify-icon [iconName]="iconNameEnum.close"></solidify-icon>
</button>

<button (click)="submitRating()"
        *ngIf="isRatingEditableMode"
        class="button-validate-rate"
        [matTooltip]="labelTranslateEnum.validate | translate"
        mat-icon-button
        type="button"
>
  <solidify-icon [iconName]="iconNameEnum.check"></solidify-icon>
</button>

<div [solidifySpinner]="isLoading">
  <ul *ngIf="isRatingEditableMode">
    <li *ngFor="let averageRating of archiveStatistics?.averageRatings">
      <form *ngIf="getFormGroupRating(averageRating) as form"
            [formGroup]="form"
      >
        <dlcm-shared-archive-rating-star [center]="false"
                                         [formControl]="formValidationHelper.getFormControl(form, formDefinition.grade)"
                                         [isEditable]="true"
                                         [label]="labelToTranslate(averageRating.ratingType) | translate"
        ></dlcm-shared-archive-rating-star>
      </form>
    </li>
  </ul>

  <ul *ngIf="!isRatingEditableMode">
    <li *ngFor="let averageRating of archiveStatistics?.averageRatings">
      <dlcm-shared-archive-rating-star [center]="false"
                                       [isEditable]="false"
                                       [label]="labelToTranslate(averageRating.ratingType) | translate"
                                       [numberReview]="averageRating.numberVotes"
                                       [value]="averageRating.averageValue"
      ></dlcm-shared-archive-rating-star>
    </li>
  </ul>
</div>
